ryankevin15 Posted August 16, 2017 Posted August 16, 2017 Hello, Is there a LISP to make text middle justified? Quote
ryankevin15 Posted August 16, 2017 Author Posted August 16, 2017 And, preferably begin the move command grabbing the center basepoint, since that's usually what happens next in order to move it to the middle of an object. Quote
StevJ Posted August 16, 2017 Posted August 16, 2017 Take a look at this as maybe a place to start. Steve Quote
iconeo Posted August 16, 2017 Posted August 16, 2017 I use the following as a macro. ^C^C(COMMAND "LAYER" "M" "S-ANNO-TEXT" "C" "7" "" "") 'textstyle standard 'textsize $M=$(if,$(=,$(getvar,cvport),1),0.0703125,$(*,0.0703125,$(getvar,dimscale))) mtext \j bc w 0; Quote
Grrr Posted August 18, 2017 Posted August 18, 2017 One of the first associations I did was from this code from Tharwat, pointing out this fragment from his code: (progn (vla-put-attachmentpoint mt acmiddlecenter) (vla-move mt (vla-get-insertionpoint mt) p) ) Later I was doing such stuff in my codes aswell, but I'll always remember that thread he helped me. Quote
ryankevin15 Posted August 21, 2017 Author Posted August 21, 2017 One of the first associations I did was from this code from Tharwat,pointing out this fragment from his code: (progn (vla-put-attachmentpoint mt acmiddlecenter) (vla-move mt (vla-get-insertionpoint mt) p) ) Later I was doing such stuff in my codes aswell, but I'll always remember that thread he helped me. (DEFUN C:mJ () (progn (vla-put-attachmentpoint mt acmiddlecenter) (vla-move mt (vla-get-insertionpoint mt) p) ) (princ) ) Thank you for trying but it doesn't look like that one worked. Quote
Recommended Posts
Join the conversation
You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.